{{#enable_router}}import 'package:{{project_name.snakeCase()}}/core/resources/app_router.dart';
import 'package:go_router/go_router.dart';{{/enable_router}}
import 'package:{{project_name.snakeCase()}}/core/resources/app_theme.dart';
{{#enable_l10n}}import 'package:flutter_localizations/flutter_localizations.dart';
import 'package:{{project_name.snakeCase()}}/core/extensions/app_localizations_x.dart';{{/enable_l10n}}
import 'package:{{project_name.snakeCase()}}/presentation/pages/initial/initial_page.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class WidgetTree extends StatelessWidget {
  const WidgetTree({super.key});

  @override
  Widget build(BuildContext context) {
    {{#enable_router}}
    final GoRouter _router = GoRouter(
      initialLocation: '/',
      routes: AppRouter.routes,
      debugLogDiagnostics: true,
      errorBuilder: (_, __) => Container(
        color: Colors.red,
      ),
    );
    {{/enable_router}}

    return ScreenUtilInit(
      designSize: const Size(455, 985),
      builder: (context, child) {
        {{#enable_router}}
        return MaterialApp.router(
          debugShowCheckedModeBanner: false,
          title: '{{project_name.titleCase()}}',
          routeInformationParser: _router.routeInformationParser,
          routeInformationProvider: _router.routeInformationProvider,
          routerDelegate: _router.routerDelegate,
          theme: AppTheme.defaultTheme,
          {{#enable_l10n}}localizationsDelegates: const [
            AppLocalizations.delegate,
            GlobalMaterialLocalizations.delegate,
            GlobalWidgetsLocalizations.delegate,
            GlobalCupertinoLocalizations.delegate,
          ],
          supportedLocales: AppLocalizations.supportedLocales,{{/enable_l10n}}
        );
        {{/enable_router}}{{^enable_router}}
        return MaterialApp(
          debugShowCheckedModeBanner: false,
          title: '{{project_name.titleCase()}}',
          theme: AppTheme.defaultTheme,
          home: const InitialPage(),
          {{#enable_l10n}}localizationsDelegates: const [
            AppLocalizations.delegate,
            GlobalMaterialLocalizations.delegate,
            GlobalWidgetsLocalizations.delegate,
            GlobalCupertinoLocalizations.delegate,
          ],
          supportedLocales: AppLocalizations.supportedLocales,{{/enable_l10n}}
        );
        {{/enable_router}}
      },
    );
  }
}
